function 复活小退()
输出信息("挂机好脚本，小退再进图，无限刷呀刷")
end


function 装备回收()
发言("@服务")
等待(1000)
选择("@yjhs")
等待(1000)
aa=NPC对话内容

for i=1,80 do
k1=匹配内容(aa,[[(/SCOLOR=\d{2,3})]])
if k1~=nil then
aa=string.gsub(aa,k1,"")
end
end

s1 = string.gsub(aa,"<","")
s1 = string.gsub(s1,">","")
s1 = string.gsub(s1,"■","AA")
s1 = string.gsub(s1,"　","BB")
--输出信息(s1)
npcsuzu={}


for i=1,5 do
destring=匹配内容(s1,[[([A-B]{32})]])
if destring~=nil then
npcsuzu[i]=destring
s1 = string.gsub(s1,destring,"",1)
end
end

destring=table.concat{npcsuzu[1],npcsuzu[2],npcsuzu[3],npcsuzu[4],npcsuzu[5]}
--输出信息(destring)


mosuzi={}
mosuzi[1]="BBBBBBAABBBBBBAABBBBBBAABBBBBBAABBBBBBAA"
mosuzi[2]="BBAAAAAABBBBBBAABBAAAAAABBAABBBBBBAAAAAA"
mosuzi[3]="BBAAAAAABBBBBBAABBAAAAAABBBBBBAABBAAAAAA"
mosuzi[4]="BBAABBAABBAABBAABBAAAAAABBBBBBAABBBBBBAA"
mosuzi[5]="BBAAAAAABBAABBBBBBAAAAAABBBBBBAABBAAAAAA"
mosuzi[6]="BBAAAAAABBAABBBBBBAAAAAABBAABBAABBAAAAAA"
mosuzi[7]="BBAAAAAABBBBBBAABBBBBBAABBBBBBAABBBBBBAA"
mosuzi[8]="BBAAAAAABBAABBAABBAAAAAABBAABBAABBAAAAAA"
mosuzi[9]="BBAAAAAABBAABBAABBAAAAAABBBBBBAABBAAAAAA"
suzi={}
desuzi={}


k1=1
for i=1,5 do
suzi[i]=string.sub(destring,k1,k1+7)
k1=k1+32
--输出信息(suzi[i])
end
desuzi[1]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}


k1=1
for i=1,5 do
suzi[i]=string.sub(destring,k1+8,k1+15)
k1=k1+32
--输出信息(suzi[i])
end
desuzi[2]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}

k1=1
for i=1,5 do
suzi[i]=string.sub(destring,k1+16,k1+23)
k1=k1+32
--输出信息(suzi[i])
end
desuzi[3]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}

k1=1
for i=1,5 do
suzi[i]=string.sub(destring,k1+24,k1+31)
k1=k1+32
--输出信息(suzi[i])
end
desuzi[4]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}

endsuzi={}
for i1=1,4 do
for i2=1,9 do
if desuzi[i1]==mosuzi[i2] then
   --输出信息("位数")
  --输出信息(i1)
  --输出信息(i2)
   endsuzi[i1]=i2
end
end
end

passcode=table.concat{endsuzi[1],endsuzi[2],endsuzi[3],endsuzi[4]}
--输出信息(passcode)

findapi=匹配内容(NPC对话内容,[[(@@InPutString\d{1,3})]])
if findapi~=nil then
api=findapi
else
api=匹配内容(NPC对话内容,[[(@@InPutInteger\d{1,3})]])
end
合成命令(api,passcode)
等待(2000) 
选择("@破天一键")
等待(1000)
选择("@黄金一键")
等待(1000)
选择("@龙吟一键")
等待(1000)
选择("@神龙一键")
等待(1000)
选择("@帝王一键")
等待(1000)
选择("@傲视一键")
等待(1000)
end



function 出发()
if 当前地图编号=="3" then
开启穿人穿怪()
走到(335,337,1)
对话NPC("会员圣地")
等待(1000)
选择("@bbww5")
等待(1000)
end
end


系统显示("开开心心去挂机了",255,16777215)
输出信息("挂机脚本执行到开头")
if 当前地图编号=="3" then
停止战斗()
使用物品("盟重传送石")
等待(3000)
end
复活小退()
装备回收()
出发()
开始战斗()
输出信息("挂机脚本执行到尾部")
 